geos::operation::valid::RepeatedPointRemover Class Reference

`#include <RepeatedPointRemover.h>`

## Static Public Member Functions

static std::unique_ptr< geom::CoordinateSequence > | removeRepeatedPoints (const geom::CoordinateSequence *seq, double tolerance=0.0)
static std::unique_ptr< geom::CoordinateSequence > | removeRepeatedAndInvalidPoints (const geom::CoordinateSequence *seq, double tolerance=0.0)
static std::unique_ptr< geom::Geometry > | removeRepeatedPoints (const geom::Geometry *geom, double tolerance=0.0)

## Detailed Description

Removes repeated, consecutive equal, coordinates from a CoordinateSequence.

## Member Function Documentation

## removeRepeatedPoints()

std::unique_ptr< geom::CoordinateSequence > geos::operation::valid::RepeatedPointRemover::removeRepeatedPoints | ( | const geom::CoordinateSequence * | seq,
|  | double | tolerance = 0.0 )

static

Returns a new CoordinateSequence being a copy of the input with any consecutive equal Coordinate removed. Equality test is 2D based.

Parameters

  seq | to filter
  tolerance | to apply

Returns
  Geometr, ownership of returned object goes to the caller.

References removeRepeatedPoints().

Referenced by removeRepeatedPoints().

The documentation for this class was generated from the following file:

- RepeatedPointRemover.h